# Zarkow Turret Defense

## Description

Imagine building your house, some farming area, maybe a marina or a whole village - and you get a message saying that the 'The Forest Is Moving' or 'The Ground Is Shaking'. You now know what is next is a boring session of trying to out-run and not dying to the many monsters that keep spawning, as they try to disturb your building-adventure.

Let's turn the games most boring event into something fun!

The Turret Defense addition allows you to magically build effective sci-fi turrets that can deal with monsters attacking your settlements and dig-sites.

Mod tested primarily in singelplayer game and have been designed to work in multiplayer too. But it requires confirmation.

## Version

0.6.193

Added Missile Turret - cable-controlled missile, long range and high chance to stagger the monsters caught in the blast
Increased impact damage for Turrets Mk.I-Mk.III
Increased range for Signal Turret from 15 to 20 meters

## Content

The mod features the ability to build the following:

* Turret Mk. I    --  2x Tin, 4x Wood
* Turret Mk. II   --  2x Copper, 4x RoundLog
* Turret Mk. III  --  2x Bronze, 4x FineWood
* Missile Turret  --  1x SurtlingCore, 2x Bronze, 4x FineWood

All above gun-turrets require a Workbench nearby.

Below turrets does not require a Workbench nearby:

* Light Turret    --  2x Flint, 4x Wood
* Signal Turret   --  4x Wood

Additional turrets and helper-gear to be added in future versions.

## Functionality

* A turret that is in SCAN mode, tracking a target, will show a YELLOW searchlight.
* A turret that is in ATTACK mode, attempting to destroy a target, will show a RED searchlight and TURN ON the laser-sights.

The mode of a turret can easily been seen from a distance based on the Searchlight being activated and if so what color it has. A turret that has no target to SCAN or ATTACK will idle and wait for targets to wander into their scanning-range.

* All turrets will attack any monster they deem to be a threat. The base-range is 25 with an increase in range for each higher Mk version used.

The group called ForestMonsters will be considered less of a threat and can be as close as half the attack-range before being automatically attacked, if the monster is not Alerted and for instance attacking the base or the player. For any ForestMonster that is attacking the player the full range is used. This also means a deer or boar will not be automatically attacked when it is far away and minding its own business.

* Turrets will track monsters that is up to 50% outside of their effective attack-range.
* Turrets will track Players at half their attack-effective range, but never attack them.
* Turrets will track monsters it deems to be a threat even when they are behind a wall or object, but will show a YELLOW searchlight to indicate it is scanning for them and cannot attack.
* Turrets will not attack tamed animals or animals that have a tame-rate of more than 10 out of 100.
* Turrets try to re-aquire a target every 0.40 seconds.
* Turrets use range-based prioritization to grab the target that is the closest to it and can be attack ahead of others, with several levels of de-prioritization.

## Legal notice

All the mod-specific code is (C)opyright Johan 'Zarkow' Munkestam/Digital Software. The turret models are commercially licensed from CGPitbull.

No parts of this mod may be disassembled, re-used or distributed without the express written permission from the mod author and all the licenseholders of any assets. It is however of course fine to make derivative mods, or include it in a modpack, as a dependency.

If making your own mod: To acquire your own seat-license for the turret models, visit https://assetstore.unity.com/packages/3d/vehicles/space/weapons-spaceships-pack-150720 and for the launch and impact effects, visit: https://assetstore.unity.com/packages/vfx/particles/impacts-and-muzzle-flashes-57010

If the mod is missing from your favorite mod-site, contact the author and it will most likely be added.

## Contact

For any help, support, feedback or to give words of encuragement, please join the Discord: https://discord.gg/fyqtxZt

